### R code from vignette source 'paramlink.Rnw'

###################################################
### code chunk number 1: paramlink.Rnw:17-18
###################################################
require(paramlink)


###################################################
### code chunk number 2: paramlink.Rnw:20-22 (eval = FALSE)
###################################################
## install.packages("paramlink")
## require(paramlink)


###################################################
### code chunk number 3: paramlink.Rnw:41-47
###################################################
x = cousinPed(degree=1)
x = addOffspring(x, father=7, mother=8, noffs=3)
x = addParents(x, 6)
x = swapSex(x, c(3, 7, 9, 11))
x = swapAff(x, 8:10, c(0,2,2))
x = relabel(x, new=c(11:14,21:24,31:32,41:43), old=c(1,2,12,13,5,3,4,6,7:11))


###################################################
### code chunk number 4: paramlink.Rnw:52-58
###################################################
x2 = nuclearPed(noffs=2, sex=2:1)
x2 = relabel(x2, c(11,12,22,23))
x2 = addOffspring(x2, father=21, mother=22, noffs=1, id=31, sex=2)
x2 = addOffspring(x2, father=23, mother=24, noffs=1, id=32, aff=0)
x2 = addParents(x2, id=24, father=13, mother=14)
x2 = addOffspring(x2, father=32, mother=31, noffs=3, ids=41:43, sex=c(2,1,2), aff=c(2,2,1))


###################################################
### code chunk number 5: paramlink.Rnw:62-63
###################################################
all.equal(x, x2)


###################################################
### code chunk number 6: paramlink.Rnw:67-69
###################################################
m = marker(x, 14, c('A', 0), 41:42, c('A','A'), 43, c('A','B'))
x = addMarker(x, m)


###################################################
### code chunk number 7: paramlink.Rnw:74-77
###################################################
x
summary(x)
plot(x, marker=1)


###################################################
### code chunk number 8: xalt1
###################################################
plot(x, marker=1, margins=c(0,0,4,0), cex=1.3)


###################################################
### code chunk number 9: xalt2
###################################################
plot(x, marker=1, alleles=c('mut', 'wt'), missing="0", sep=" | ", id.labels="", title="", deceased=11:12, margins=c(0,0,4,0.7), cex=1.3)


###################################################
### code chunk number 10: paramlink.Rnw:100-102 (eval = FALSE)
###################################################
## plot(x, marker=1, alleles=c('mut', 'wt'), missing="0", sep=" | ", id.labels="",
##      title="", deceased=11:12)


###################################################
### code chunk number 11: paramlink.Rnw:107-108
###################################################
x = modifyMarker(x, marker=1, afreq=c(0.1, 0.9), chr=1, pos=10, name="SNP1")


###################################################
### code chunk number 12: paramlink.Rnw:115-116
###################################################
write.linkdat(x, prefix="ex")


###################################################
### code chunk number 13: paramlink.Rnw:121-123
###################################################
y = linkdat("ex.ped", dat="ex.dat", map="ex.map", freq="ex.freq")
all.equal(y,x)


###################################################
### code chunk number 14: paramlink.Rnw:147-149
###################################################
x = setModel(x, model=2)
x$model


###################################################
### code chunk number 15: paramlink.Rnw:152-153 (eval = FALSE)
###################################################
## x = setModel(x, chrom="autosomal", penetrances=c(0, 0, 1), dfreq=0.00001)


###################################################
### code chunk number 16: paramlink.Rnw:162-163
###################################################
lod(x, loop_breaker=32)


###################################################
### code chunk number 17: paramlink.Rnw:166-167
###################################################
lod(x, theta=c(0, 0.1, 0.2), loop_breaker=32)


###################################################
### code chunk number 18: paramlink.Rnw:171-173
###################################################
data(dominant)
y = linkdat(dominant)


###################################################
### code chunk number 19: paramlink.Rnw:177-178 (eval = FALSE)
###################################################
## plot(y, available=T)


###################################################
### code chunk number 20: paramlink.Rnw:180-181
###################################################
plot(y, available=T, title="", margins=c(0,0,0,0), cex=.9)


###################################################
### code chunk number 21: paramlink.Rnw:185-187
###################################################
y = setModel(y, 1)
y$model


###################################################
### code chunk number 22: paramlink.Rnw:191-194
###################################################
lods = lod(y)
summary(lods)
plot(lods)


###################################################
### code chunk number 23: paramlink.Rnw:207-208 (eval = FALSE)
###################################################
## merlin(x)


###################################################
### code chunk number 24: paramlink.Rnw:210-211
###################################################
if(nzchar(Sys.which("merlin"))) merlin(x)


###################################################
### code chunk number 25: paramlink.Rnw:214-216
###################################################
x = modifyMarker(x, marker=1, id=14, genotype=c(0,0))
lod(x, loop_breaker=32)


###################################################
### code chunk number 26: paramlink.Rnw:221-222
###################################################
y_aff = trim(y, keep="affected")


###################################################
### code chunk number 27: paramlink.Rnw:225-226 (eval = FALSE)
###################################################
## mlods = merlin(y_aff)


###################################################
### code chunk number 28: paramlink.Rnw:228-229
###################################################
if(nzchar(Sys.which("merlin"))) mlods = merlin(y_aff) else mlods=lods


###################################################
### code chunk number 29: paramlink.Rnw:233-235
###################################################
plot(mlods)
par(new=T); plot(lods, lty=3, col="red")


###################################################
### code chunk number 30: paramlink.Rnw:244-245 (eval = FALSE)
###################################################
## merlin(y_aff, model=F, options="--lik")


###################################################
### code chunk number 31: paramlink.Rnw:257-261
###################################################
z = nuclearPed(3)
marker1 = marker(z, 3, c('A','B'), 4, c('A', 0))
z = addMarker(z, marker1)
plot(z, 1) 


###################################################
### code chunk number 32: z1
###################################################
plot(z, marker=1, title="", margins=c(0.1,0.1,0.1,0.1), cex=1.7)


###################################################
### code chunk number 33: z2
###################################################
plot(swapAff(z, 3:5), marker=1, title="", margins=c(0.1,0.1,0.1,0.1), cex=1.7)


###################################################
### code chunk number 34: paramlink.Rnw:283-284
###################################################
dist1 = oneMarkerDistribution(z, id=5, partialmarker=1)


###################################################
### code chunk number 35: paramlink.Rnw:287-288
###################################################
parents = oneMarkerDistribution(z, id=1:2, partialmarker=1, verbose=F)


###################################################
### code chunk number 36: paramlink.Rnw:291-292
###################################################
parents * 13


###################################################
### code chunk number 37: paramlink.Rnw:304-307
###################################################
z2 = swapAff(z, 3:5)
z2 = setModel(z2, model=2)
plot(z2, 1)


###################################################
### code chunk number 38: paramlink.Rnw:310-311
###################################################
oneMarkerDistribution(z2, id=5, partialmarker=1, theta=0, verbose=F)


###################################################
### code chunk number 39: paramlink.Rnw:316-319
###################################################
marker2 = modifyMarker(z, marker1, alleles=c('C', 'D'))
z = addMarker(z, marker2)
plot(z, marker=1:2)


###################################################
### code chunk number 40: fig5
###################################################
plot(z, marker=1:2, margins=c(0.1,0.1,0.2,0.1), title="", cex=1.5)


###################################################
### code chunk number 41: paramlink.Rnw:328-329
###################################################
twoMarkerDistribution(z, id=5, partialmarker1=1, partialmarker2=2, theta=0.5)


###################################################
### code chunk number 42: paramlink.Rnw:332-333
###################################################
dist1 %o% dist1


###################################################
### code chunk number 43: paramlink.Rnw:336-337
###################################################
twoMarkerDistribution(z, id=5, partialmarker1=1, partialmarker2=2, theta=0, verbose=F)


